require_relative "base_helper"

describe Toolchain::Attributes, "Date, Time, DateTime" do

  let(:model) { ModelData.new }

  it "should parse the time if string" do
    expect { model.time = Time.new(2000).to_s }.
      to change { model.time }.from(nil).to(Time.new(2000))
  end

  it "should parse the date if string" do
    expect { model.date = Date.new(2000).to_s }.
      to change { model.date }.from(nil).to(Date.new(2000))
  end

  it "should parse the date_time if string" do
    expect { model.date_time = DateTime.new(2000).to_s }.
      to change { model.date_time }.from(nil).to(DateTime.new(2000))
  end
end
