require_relative "base_helper"

describe Toolchain::Attributes, "includeAttributes" do

  UserExternalAttributes = Proc.new do
    attribute :name, String
  end

  class UserIncludedAttributes
    include Toolchain::Attributes
    include_attributes UserExternalAttributes
  end

  it "should include validations" do
    user = UserIncludedAttributes.new
    user.name = "Michael"
    user.name.should == "Michael"
  end
end
