require_relative "base_helper"

describe Toolchain::Attributes, "Initializer" do

  it "should initialize with attributes" do
    date, time, date_time = Date.today, Time.now, DateTime.now

    model = ModelData.new(
      array_default: [1, 2, 3],
      boolean_default: true,
      float_default: 1.23,
      hash_default: {foo: :bar},
      integer_default: 123,
      string_default: "value",
      date_default: date,
      time_default: time,
      date_time_default: date_time
    )

    model.attributes.should == {
      array_default: [1, 2, 3],
      boolean_default: true,
      float_default: 1.23,
      hash_default: {foo: :bar},
      integer_default: 123,
      string_default: "value",
      date_default: date,
      time_default: time,
      date_time_default: date_time
    }
  end
end
