lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "toolchain/version"

Gem::Specification.new do |spec|
  spec.name = "toolchain"
  spec.version = Toolchain::VERSION
  spec.authors = ["Michael van Rooijen", "Tom de Bruijn"]
  spec.email = ["michael@machinery.io", "tom@machinery.io"]
  spec.summary = %q{Collection of Ruby light-weight modules that enhance plain Ruby classes with zero runtime dependencies.}
  spec.homepage = "https://github.com/machinery/toolchain"
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
